您尚未登录。

#1 2012-04-20 11:35:15

acsky200600
会员
注册时间: 2012-04-18
帖子: 22

启动eclipse的奇怪报错

pacman安装eclipse,但是启动的时候报错,请教一下中么回事瓦:


JVM terminated. Exit code=13
/opt/jdk1.5/jdk1.5.0_12/bin/java
-Xms40m
-Xmx384m
-XX:MaxPermSize=256m
-jar /usr/share/eclipse//plugins/org.eclipse.equinox.launcher_1.2.0.v20110502.jar
-os linux
-ws gtk
-arch x86_64
-showsplash
-launcher /usr/share/eclipse/eclipse
-name Eclipse
--launcher.library /usr/share/eclipse//plugins/org.eclipse.equinox.launcher.gtk.linux.x86_64_1.1.100.v20110505/eclipse_1407.so
-startup /usr/share/eclipse//plugins/org.eclipse.equinox.launcher_1.2.0.v20110502.jar
--launcher.overrideVmargs
-exitdata 290008
-vm /opt/jdk1.5/jdk1.5.0_12/bin/java
-vmargs
-Xms40m
-Xmx384m
-XX:MaxPermSize=256m
-jar /usr/share/eclipse//plugins/org.eclipse.equinox.launcher_1.2.0.v20110502.jar

离线

#2 2012-04-20 14:30:29

phoenixlzx
晩ご飯だよー
注册时间: 2011-08-19
帖子: 1,789
个人网站

Re: 启动eclipse的奇怪报错

jdk1.5?太老了吧。

还有貌似是你某个eclipse的插件出问题了。建议用pacman升级到最新的jdk和jre然后再试试...话说你jdk咋装到/opt里面去了

离线

#3 2012-04-20 14:47:36

acsky200600
会员
注册时间: 2012-04-18
帖子: 22

Re: 启动eclipse的奇怪报错

phoenixlzx 说:

jdk1.5?太老了吧。

还有貌似是你某个eclipse的插件出问题了。建议用pacman升级到最新的jdk和jre然后再试试...话说你jdk咋装到/opt里面去了

额,jdk是我手动装的.. 因为项目就是用的这个版本jdk。用其它版本我怕出问题。有办法使eclipse支持这个版本jdk么?

离线

#4 2012-04-20 17:31:37

phoenixlzx
晩ご飯だよー
注册时间: 2011-08-19
帖子: 1,789
个人网站

Re: 启动eclipse的奇怪报错

那就换一个eclipse吧,到官方网站下载一个老一点的版本。

离线

#5 2012-04-22 18:26:37

依云
会员
所在地: a.k.a. 百合仙子
注册时间: 2011-08-21
帖子: 6,786
个人网站

Re: 启动eclipse的奇怪报错

要不你 eclipse 用不同的 jre 应该也行。

离线

#6 2012-04-23 17:52:24

acsky200600
会员
注册时间: 2012-04-18
帖子: 22

Re: 启动eclipse的奇怪报错

百合仙子 说:

要不你 eclipse 用不同的 jre 应该也行。

怎么用不同的jre哇?启动不起来呢

离线

#7 2012-04-25 01:48:25

ffwalle
机器人
注册时间: 2011-12-03
帖子: 393

Re: 启动eclipse的奇怪报错

我一般都是去eclipse官方下载,这样我想干什么干什么,包括texlive也是这样,不要用源里面的


just for fun :-)

离线

页脚